version 6.0
/*----------------------------------*/
/* Careful: Set max size to /k64000 */
/*----------------------------------*/

tempfile cgctmp nivtmp

use "brazprod\data\pia-e\piae86.dta", clear
append using "brazprod\data\pia-e\piae87.dta"
append using "brazprod\data\pia-e\piae88.dta"
append using "brazprod\data\pia-e\piae89.dta"
append using "brazprod\data\pia-e\piae90.dta"
append using "brazprod\data\pia-e\piae92.dta"
append using "brazprod\data\pia-e\piae93.dta"
append using "brazprod\data\pia-e\piae94.dta"
append using "brazprod\data\pia-e\piae95.dta"
append using "brazprod\data\pia-e\piae96.dta"
append using "brazprod\data\pia-e\piae97.dta"
append using "brazprod\data\pia-e\piae98.dta"

preserve
    use "brazprod\cgc-lig\cgc-lig.dta", clear
    drop multlig indext*
    sort firm year
    save `cgctmp', replace
restore
sort firm year
merge firm year using `cgctmp'
drop if model=="S"
drop _merge state change model
 rename sitcad state
 rename modif change
 rename sitmes chmon
 rename sitano chyr
 rename cgcantsc cgcsuc
 rename cgccorr indcor
 label var chmon "Month of Change"
 label var chyr "Year of Change"
 label var cgcsuc "Previous/Following CGC"
 label var cgcemp "Connecting CGC"
 label var indcor "Indicator of CGC Correction"
egen regmax=max(region), by (firm)
egen regmin=min(region), by (firm)
replace region=regmin if regmin==regmax
egen ufmax=max(uf), by (firm)
egen ufmin=min(uf), by (firm)
replace uf=ufmin if ufmin==ufmax
egen nivmax=max(niv100), by (firm)
egen nivmin=min(niv100), by (firm)
replace niv100=nivmin if nivmin==nivmax
egen genmax=max(genero), by (firm)
egen genmin=min(genero), by (firm)
replace genero=genmin if genmin==genmax
gen cls95=class if year==95
egen clsnew=min(cls95), by (firm)
replace class=clsnew if year==96 | year==97 | year==98
egen wghtmax=max(weight), by (firm)
egen wghtmin=min(weight), by (firm)
replace weight=wghtmin if wghtmin==wghtmax
drop regmin regmax ufmin ufmax nivmin nivmax genmin genmax cls95 clsnew wghtmin wghtmax

sort niv100
preserve
  use "brazprod\filters\niv10080.dta", clear
  sort niv100
  quietly by niv100: keep if _n==1
  drop niv80
  rename nivmap niv80map
  save `nivtmp'
restore
merge niv100 using `nivtmp'
label var niv80map "NIV80 Compatible Sector"
drop if _merge==2
sort firm year
quietly by firm year: keep if _n==1  /* Capture doubles from merging proc */
drop _merge

sort firm
merge firm using "brazprod\cgc-list\cgc-nasc.dta", nokeep
label var born "Founding Year of Firm"
sort firm year
drop _merge

format state region %1.0f
format year change chmon uf genero class %2.0f
format niv100 niv80map born weight %4.0f
format firm cgcsuc cgcemp %8.0f

/* Some error corrections */
replace chmon=. if chmon>12
replace change=. if change>10
replace state=. if state>8
replace indcor=. if indcor>2

order firm year born niv100 niv80map state change sales resales difstock astot asliq aslr aspsum aspinv aspimmo aspmasum aspdefer asrtimmo aslsimmo deprec fincost balsum crtot crstsum crstdom crstfor crltsum crltdom crltfor labftot labftop labfwh labfbl wagetot wagetop wagewh wagebl acqtot acqbl acqmasum acqmadom acqmause acqmafor acqveh acqother acqcomp asltot aslbl aslmasum aslveh aslother aslcomp intmacq intmdif profit region uf genero class weight cgcsuc cgcemp indcor chmon chyr
save "brazprod\data\pia-emp.dta", replace
desc
