* LEVINSOHN-PETRIN
* (In general, try to use *.do with /k64000)

* Order of Estimation Steps:
* --------------------------

* [... ESTIMATION ...]
* Note: Erase directories in tfpest/estimate/estmat and tfpest/estimate/bstrp

global root "c:/data"
* global root "//acsnfs4.ucsd.edu/unix-home/econgrad/marcm/"

cd "$root"
adopath + "$root/brazprod/%stata/ado"
set more off
clear
set mem 80m
program drop _all

* do $root/brazprod/%stata/%1prepare-pia/%1OrderOfCommands.do
* do $root/brazprod/%stata/%2prep-addl-series/%2OrderOfCommands.do
* do $root/brazprod/%stata/%3deflate&capstruct-pia/%3OrderOfCommands.do

* do $root/brazprod/%stata/%4tfp/match-data.do 
* do $root/brazprod/%stata/%4tfp/prep-data.do 

global dp = "$root/tfpest/%stata/%1tfp-comp"

* do $dp/prep-seclvl.do
                /* Prepares sector-level and macro-level variables */
                /* Entering data: "brazprod/use-compl-`ext'`fdfl'.dta"
                                  "brazprod/use-tfp-`ext'`fdfl'-`outtype'-`trdtype'.dta"
                                  "brazprod/use-tfp-`ext'`fdfl'-dummies.dta"
                                  "brazprod/addl/ivs-sectoral.dta" (from %2/prep-ivs-sectoral.do)
                                  "brazprod/addl/ivs-annual.dta" (from %2/prep-ivs-annual.do.do)
                                  "brazcomp/data/use-conc-ipa2" (from %2/prep-concentration.do) */
                /* OUTPUT: "tfpest/seclvl-`ext'`fdfl'.dta" */

* do $dp/prep-vars-others.do
                /* Prepares aggregate competitor variables per firm */
                /* Entering data: "brazprod/use-tfp-`ext'`fdfl'-`outtype'-`trdtype'.dta" */
                /* OUTPUT: "tfpest/varsothrs-`ext'`fdfl'.dta" */

* do $dp/lev-pet.do  
        /* Performs the Levinsohn-Petrin 2-step estimation procedure and comparable OP and EOP */
        /* Entering data: "brazprod/use-tfp-`ext'`fdfl'-`outtype'-notrend.dta"
                          "tfpest/seclvl-`ext'`fdfl'.dta"
                          "tfpest/varsothrs-`ext'`fdfl'.dta" */
        /* OUTPUT:   none
              LOG:   "tfpest/estimate/logs/lev-pet-`ext'`fdfl'-`outtype'.log" 
           MATRICES: "tfpest/estimate/estmat/mat-`ext'`fdfl'-`outtype'/levpet_`type'.dta" (where `type' in b se e) */

* do $dp/lev-pet-bstrp-progs.do
        /* Reads estimation programs for lev-pet-bstrp.do into memory */

* do $dp/lev-pet-bstrp.do
        /* Performs bootstrap on lev-pet.do estimation procedure */
        /* Entering data: "brazprod\use-tfp-`ext'`fdfl'-`outtype'-`trdtype'.dta"
                          "tfpest/seclvl-`ext'`fdfl'.dta"
                          "tfpest/varsothrs-`ext'`fdfl'.dta"
                          "brazprod\estimate\coeff-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'.dta"                                
                          "brazprod\estimate\estmat\mat-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'\stp`estmat'.dta" (where `estmat' in "1bet" "3bet" "1sdv" "3sdv") */
        /*   OUTPUT: "brazprod\estimate\bstrp\niv`nivdsp'-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'-run`run'.dta" (where ``run' is the running number of the bootstrapping attempt for Niv50 `nivdsp')
                LOG: "brazprod\estimate\logs\lev-pet-bstrp-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'-run`run'.log" (where `run' is the running number of the bootstrapping attempt) */

* do $dp/lev-pet-bstrp-append.do
        /* Summarizes the present state of the bootstraps for all sectors */
        /* Entering data: "brazprod\estimate\bstrp\niv`niv'-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'-run`run'.dta" (where `run' is a running number of the bootstrapping attempt for Niv50 `niv') */
        /*   OUTPUT: on screen
                LOG: none */
