* TABLES & GRAPHS

* Order of Steps:
* ---------------

* [... TABLES & GRAPHS ...]

global root "c:/data"
* global root "//acsnfs4.ucsd.edu/unix-home/econgrad/marcm/"

cd "$root"
adopath + "$root/brazprod/%stata/ado"
program drop _all
set more off
clear
set mem 150m

global dp = "c:/data/tfpest/%stata/%3tables&graphs"

* do $dp/summ-data.do  
        /* Summarizes the PIA data set like Pavcnik (2003) */
        /* Entering data: "tfpest/use-tfp-`ext'`fdfl'-`outtype'-notrend.dta"
                          "tfpest/estimate/predict-endogseclvl-`ext'`fdfl'.dta" */
        /* OUTPUT:  none
              LOG: "tfpest/summ/summ.log" 
            LaTeX: "c:/texdocs/tfpest/stata-origs/attri.tex"
                   "c:/texdocs/tfpest/stata-origs/attri_tbl.dta"
                   "c:/texdocs/tfpest/stata-origs/summ.tex"
                   "c:/texdocs/tfpest/stata-origs/summ_tbl.dta"
                   "c:/texdocs/tfpest/stata-origs/attritop5.tex"
                   "c:/texdocs/tfpest/stata-origs/attritop5_tbl.dta"
                   "c:/texdocs/tfpest/stata-origs/summtop5.tex"
                   "c:/texdocs/tfpest/stata-origs/summtop5_tbl.dta" */

* do $dp/summ-survv.do  
        /* Summarizes the survival estimates */
        /* Entering data: "tfpest/estimate/coeff-survvprob-`ext'`fdfl'.dta" */
        /* OUTPUT:  none
              LOG: "tfpest/summ/summ-survv.log" */

* do $dp/out-lev-pet.do  
        /* Creates comparison table for LP, EOP and OLS estimates */
        /* Entering data: "tfpest/estimate/bstrp/niv`niv'-`ext'`fdfl'-`outtype'-run`run'.dta"
                          "tfpest/estimate/estmat/mat-`ext'`fdfl'-`outtype'/lp_`type'.dta" (where `type' in b se e) 
                          "tfpest/estimate/estmat/mat-`ext'`fdfl'-`outtype'/ols_`type'.dta" (where `type' in b se e) 
                          "tfpest/estimate/estmat/mat-`ext'`fdfl'-`outtype'/eop_`type'.dta" (where `type' in b se e) */
        /* OUTPUT:  none
              LOG:  none
            LaTeX: "c:/texdocs/tfpest/stata-origs/eoplpols.tex"
                   "c:/texdocs/tfpest/stata-origs/eoplpols_tbl.dta" */

* do $dp/graph-bstrap-hist.do
        /* Graphs production function bootstraps for five sectors */
        /* Entering data: "tfpest/estimate/bstrp/niv`niv'-`ext'`fdfl'-`outtype'-run`run'.dta" */
        /* OUTPUT: graphs "c:/texdocs/tfpest/graphs/hist-niv`niv'-dif_`1'`2'_`est'.gph" (where `1' and `2' denote methods and `est' coefficients)
                   eps    "c:/texdocs/tfpest/graphs/hist-niv`niv'-dif_`1'`2'_`est'.eps" (where `1' and `2' denote methods and `est' coefficients) */

global posinv = ""
* do $dp/out-prdfct.do 
global posinv = "-posinv"
* do $dp/out-prdfct.do 
global posinv = "-nomkt"
* do $dp/out-prdfct.do 
                 /* Plots production function coefficients */
                 /* Entering data: "tfpest\estimate\coeff$posinv-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'.dta"
                                   "tfpest\estimate\bstrp\niv`niv'$posinv-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'-run`run'.dta" (for all 27 sectors `niv')
                                   "tfpest\estimate\estmat\mat$posinv-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'\stp`estmat'.dta" (where `estmat' is "1bet" "3bet" "1sdv" "3sdv") */
                 /* OUTPUT: none
                       LOG: none
                    MATRIX: "tfpest/estimate/estmat/pfct$posinv/pfct${trd}${fe}${polynl}_`type'" (where `type' is b se1 se2 se3 se4 e rldif) 
                   LaTeX2e: "c:\texdocs\tfpest\stata-origs\pfctall_tbl.dta" 
                            "c:\texdocs\tfpest\stata-origs\pfctall.tex" 
                            "c:\texdocs\tfpest\stata-origs\pfcttxt_tbl.dta" 
                            "c:\texdocs\tfpest\stata-origs\pfcttxt.tex" */

* do $dp/out-olley-pakes.do  
        /* Creates tables of EOP estimates */
        /* Entering data: "tfpest/estimate/bstrp/niv`niv'-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'-run`run'.dta"
                          "tfpest/estimate/estmat/mat-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'/vecstp`stp'_`type'.dta" (where `type' in b se e and `stp' in 1 3) 
                          "tfpest/estimate/estmat/pfct/pfct013_`type'.dta" (where `type' in b se1 se2 e) 
                          "tfpest/use-tfp-`ext'`fdfl'-`outtype'-`trdtype'.dta"
                          "brazprod/use-compl-`ext'`fdfl'.dta"
                          "brazprod/data/pia-ratios.dta" */
        /* OUTPUT:  none
              LOG:  none
           Matrix: "tfpest/estimate/estmat/pfct/pfct${trd}${fe}${polynl}_`type'.dta" (where `type' in b se1 se2 e) 
            LaTeX: "c:/texdocs/tfpest/stata-origs/eoplong.tex"
                   "c:/texdocs/tfpest/stata-origs/eoplong_tbl.dta"
                   "c:/texdocs/tfpest/stata-origs/eopfeols.tex"
                   "c:/texdocs/tfpest/stata-origs/eopfeols_tbl.dta" 
                   "c:/texdocs/tfpest/stata-origs/estcomplg.tex"
                   "c:/texdocs/tfpest/stata-origs/estcomplg_tbl.dta"
                   "c:/texdocs/tfpest/stata-origs/estcompsh.tex"
                   "c:/texdocs/tfpest/stata-origs/estcompsh_tbl.dta" */

* do $dp/graph-olley-pakes.do
        /* Graphs bar charts with coefficient estimates */
        /* Entering data: "c:/texdocs/tfpest/stata-origs/estcompsh_tbl.dta" (from out-olley-pakes.do) */
        /* OUTPUT: graphs "c:/texdocs/tfpest/fig/graphs/bar-coeffs.gph" 
                   eps    "c:/texdocs/tfpest/fig/graphs/bar-coeffs.eps" */

* do $dp/summ-estimates.do  
        /* Summarizes EOP and OLS estimate comparisons */
        /* Entering data: "tfpest/estimate/estmat/pfct/pfct013_`type'.dta" (where `type' in b se1 se2 e) */
        /* OUTPUT: none
              LOG: "tfpest/summ/summ-estimates.log" 
            LaTeX: none */

* do $dp/graph-inv-prodchg-hist.do
        /* Histograms of investment and productivity change by sector */
        /* Entering data: "tfpest/estimate/coeff-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'.dta" (from olley-pakes.do) */
        /* OUTPUT: graphs "c:/texdocs/tfpest/graphs/hist-niv`niv'-`type'.gph" (where `type' in )
                   eps    "c:/texdocs/tfpest/graphs/hist-niv`niv'-dif_`1'`2'_`est'.eps" */

global posinv = ""
* do $dp/summ-revision.do
        /* Tables for REStat revision */
        /* Entering data: "tfpest/estimate/coeff-`ext'`fdfl'-`outtype'-`trdtype'-`fetype'-`polynl'`xeff'.dta" (from olley-pakes.do) */
        /* OUTPUT: none
              LOG: "tfpest/summ/summ.log" 
          LaTeX2e: "c:\texdocs\tfpest\stata-origs\checks_tbl.dta" 
                   "c:\texdocs\tfpest\stata-origs\checks.tex" */
